Add Docker Verify and Merge jobs
[releng/global-jjb.git] / shell / docker-push.sh
diff --git a/shell/docker-push.sh b/shell/docker-push.sh
new file mode 100644 (file)
index 0000000..83996fa
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> docker-push.sh"
+# Docker image push script
+
+# Ensure we fail the job if any steps fail
+set -ue -o pipefail
+
+docker push "$CONTAINER_PUSH_REGISTRY/$DOCKER_IMAGE"